﻿module.exports = nativeDescription: "English", englishDescription: "English", translation:
  home:
    slogan: "Learn to Code by Playing a Game"
    no_ie: "CodeCombat does not run in Internet Explorer 8 or older. Sorry!"  # Warning that only shows up in IE8 and older
    no_mobile: "CodeCombat wasn't designed for mobile devices and may not work!"  # Warning that shows up on mobile devices
    play: "Play"  # The big play button that opens up the campaign view.
    old_browser: "Uh oh, your browser is too old to run CodeCombat. Sorry!"  # Warning that shows up on really old Firefox/Chrome/Safari
    old_browser_suffix: "You can try anyway, but it probably won't work."
    ipad_browser: "Bad news: CodeCombat doesn't run on iPad in the browser. Good news: our native iPad app is awaiting Apple approval."
    campaign: "Campaign"
    for_beginners: "For Beginners"
    multiplayer: "Multiplayer"  # Not currently shown on home page
    for_developers: "For Developers"  # Not currently shown on home page.
    or_ipad: "Or download for iPad"

  nav:
    play: "Levels"  # The top nav bar entry where players choose which levels to play
    community: "Community"
    editor: "Editor"
    blog: "Blog"
    forum: "Forum"
    account: "Account"
    profile: "Profile"
    stats: "Stats"
    code: "Code"
    admin: "Admin"  # Only shows up when you are an admin
    home: "Home"
    contribute: "Contribute"
    legal: "Legal"
    about: "About"
    contact: "Contact"
    twitter_follow: "Follow"
    teachers: "Teachers"

  modal:
    close: "Close"
    okay: "Okay"

  not_found:
    page_not_found: "Page not found"

  diplomat_suggestion:
    title: "Help translate CodeCombat!"  # This shows up when a player switches to a non-English language using the language selector.
    sub_heading: "We need your language skills."
    pitch_body: "We develop CodeCombat in English, but we already have players all over the world. Many of them want to play in {English} but don't speak English, so if you can speak both, please consider signing up to be a Diplomat and help translate both the CodeCombat website and all the levels into {English}."
    missing_translations: "Until we can translate everything into {English}, you'll see English when {English} isn't available."
    learn_more: "Learn more about being a Diplomat"
    subscribe_as_diplomat: "Subscribe as a Diplomat"

  play:
    play_as: "Play As"  # Ladder page
    spectate: "Spectate"  # Ladder page
    players: "players"  # Hover over a level on /play
    hours_played: "hours played"  # Hover over a level on /play
    items: "Items"  # Tooltip on item shop button from /play
    unlock: "Unlock"  # For purchasing items and heroes
    confirm: "Confirm"
    owned: "Owned"  # For items you own
    locked: "Locked"
    purchasable: "Purchasable"  # For a hero you unlocked but haven't purchased
    available: "Available"
    skills_granted: "Skills Granted"  # Property documentation details
    heroes: "Heroes"  # Tooltip on hero shop button from /play
    achievements: "Achievements"  # Tooltip on achievement list button from /play
    account: "Account"  # Tooltip on account button from /play
    settings: "Settings"  # Tooltip on settings button from /play
    poll: "Poll"  # Tooltip on poll button from /play
    next: "Next"  # Go from choose hero to choose inventory before playing a level
    change_hero: "Change Hero"  # Go back from choose inventory to choose hero
    choose_inventory: "Equip Items"
    buy_gems: "Buy Gems"
    subscription_required: "Subscription Required"
    older_campaigns: "Older Campaigns"
    anonymous: "Anonymous Player"
    level_difficulty: "Difficulty: "
    campaign_beginner: "Beginner Campaign"
    awaiting_levels_adventurer_prefix: "We release new levels every week."
    awaiting_levels_adventurer: "Sign up as an Adventurer"
    awaiting_levels_adventurer_suffix: "to be the first to play new levels."
    adjust_volume: "Adjust volume"
    choose_your_level: "Choose Your Level"  # The rest of this section is the old play view at /play-old and isn't very important.
    adventurer_prefix: "You can jump to any level below, or discuss the levels on "
    adventurer_forum: "the Adventurer forum"
    adventurer_suffix: "."
    campaign_old_beginner: "Old Beginner Campaign"
    campaign_old_beginner_description: "... in which you learn the wizardry of programming."
    campaign_dev: "Random Harder Levels"
    campaign_dev_description: "... in which you learn the interface while doing something a little harder."
    campaign_multiplayer: "Multiplayer Arenas"
    campaign_multiplayer_description: "... in which you code head-to-head against other players."
    campaign_player_created: "Player-Created"
    campaign_player_created_description: "... in which you battle against the creativity of your fellow <a href=\"/contribute/artisan\">Artisan Wizards</a>."
    campaign_classic_algorithms: "Classic Algorithms"
    campaign_classic_algorithms_description: "... in which you learn the most popular algorithms in Computer Science."
    campaign_old_multiplayer: "(Deprecated) Old Multiplayer Arenas"
    campaign_old_multiplayer_description: "Relics of a more civilized age. No simulations are run for these older, hero-less multiplayer arenas."

  share_progress_modal:
    blurb: "You’re making great progress! Tell your parent how much you've learned with CodeCombat."
    email_invalid: "Email address invalid."
    form_blurb: "Enter your parent's email below and we’ll show them!"
    form_label: "Email Address"
    placeholder: "email address"
    title: "Excellent Work, Apprentice"

  login:
    sign_up: "Create Account"
    log_in: "Log In"
    logging_in: "Logging In"
    log_out: "Log Out"
    forgot_password: "Forgot your password?"
    authenticate_gplus: "Authenticate G+"
    load_profile: "Load G+ Profile"
    finishing: "Finishing"
    sign_in_with_facebook: "Sign in with Facebook"
    sign_in_with_gplus: "Sign in with G+"
    signup_switch: "Want to create an account?"

  signup:
    email_announcements: "Receive announcements by email"
    creating: "Creating Account..."
    sign_up: "Sign Up"
    log_in: "log in with password"
    social_signup: "Or, you can sign up through Facebook or G+:"
    required: "You need to log in before you can go that way."
    login_switch: "Already have an account?"

  recover:
    recover_account_title: "Recover Account"
    send_password: "Send Recovery Password"
    recovery_sent: "Recovery email sent."

  items:
    primary: "Primary"
    secondary: "Secondary"
    armor: "Armor"
    accessories: "Accessories"
    misc: "Misc"
    books: "Books"

  common:
    back: "Back" # When used as an action verb, like "Navigate backward"
    continue: "Continue"  # When used as an action verb, like "Continue forward"
    loading: "Loading..."
    saving: "Saving..."
    sending: "Sending..."
    send: "Send"
    cancel: "Cancel"
    save: "Save"
    publish: "Publish"
    create: "Create"
    manual: "Manual"
    fork: "Fork"
    play: "Play"  # When used as an action verb, like "Play next level"
    retry: "Retry"
    actions: "Actions"
    info: "Info"
    help: "Help"
    watch: "Watch"
    unwatch: "Unwatch"
    submit_patch: "Submit Patch"
    submit_changes: "Submit Changes"
    save_changes: "Save Changes"

  general:
    and: "and"
    name: "Name"
    date: "Date"
    body: "Body"
    version: "Version"
    pending: "Pending"
    accepted: "Accepted"
    rejected: "Rejected"
    withdrawn: "Withdrawn"
    submitter: "Submitter"
    submitted: "Submitted"
    commit_msg: "Commit Message"
    review: "Review"
    version_history: "Version History"
    version_history_for: "Version History for: "
    select_changes: "Select two changes below to see the difference."
    undo_prefix: "Undo"
    undo_shortcut: "(Ctrl+Z)"
    redo_prefix: "Redo"
    redo_shortcut: "(Ctrl+Shift+Z)"
    play_preview: "Play preview of current level"
    result: "Result"
    results: "Results"
    description: "Description"
    or: "or"
    subject: "Subject"
    email: "Email"
    password: "Password"
    message: "Message"
    code: "Code"
    ladder: "Ladder"
    when: "When"
    opponent: "Opponent"
    rank: "Rank"
    score: "Score"
    win: "Win"
    loss: "Loss"
    tie: "Tie"
    easy: "Easy"
    medium: "Medium"
    hard: "Hard"
    player: "Player"
    player_level: "Level"  # Like player level 5, not like level: Dungeons of Kithgard
    warrior: "Warrior"
    ranger: "Ranger"
    wizard: "Wizard"

  units:
    second: "second"
    seconds: "seconds"
    minute: "minute"
    minutes: "minutes"
    hour: "hour"
    hours: "hours"
    day: "day"
    days: "days"
    week: "week"
    weeks: "weeks"
    month: "month"
    months: "months"
    year: "year"
    years: "years"

  play_level:
    done: "Done"
    home: "Home"  # Not used any more, will be removed soon.
    level: "Level"  # Like "Level: Dungeons of Kithgard"
    skip: "Skip"
    game_menu: "Game Menu"
    guide: "Guide"
    restart: "Restart"
    goals: "Goals"
    goal: "Goal"
    running: "Running..."
    success: "Success!"
    incomplete: "Incomplete"
    timed_out: "Ran out of time"
    failing: "Failing"
    action_timeline: "Action Timeline"
    click_to_select: "Click on a unit to select it."
    control_bar_multiplayer: "Multiplayer"
    control_bar_join_game: "Join Game"
    reload: "Reload"
    reload_title: "Reload All Code?"
    reload_really: "Are you sure you want to reload this level back to the beginning?"
    reload_confirm: "Reload All"
    victory: "Victory"
    victory_title_prefix: ""
    victory_title_suffix: " Complete"
    victory_sign_up: "Sign Up to Save Progress"
    victory_sign_up_poke: "Want to save your code? Create a free account!"
    victory_rate_the_level: "Rate the level: "  # Only in old-style levels.
    victory_return_to_ladder: "Return to Ladder"
    victory_play_continue: "Continue"
    victory_saving_progress: "Saving Progress"
    victory_go_home: "Go Home"  # Only in old-style levels.
    victory_review: "Tell us more!"  # Only in old-style levels.
    victory_hour_of_code_done: "Are You Done?"
    victory_hour_of_code_done_yes: "Yes, I'm finished with my Hour of Code™!"
    victory_experience_gained: "XP Gained"
    victory_gems_gained: "Gems Gained"
    victory_new_item: "New Item"
    victory_viking_code_school: "Holy smokes, that was a hard level you just beat! If you aren't already a software developer, you should be. You just got fast-tracked for acceptance with Viking Code School, where you can take your skills to the next level and become a professional web developer in 14 weeks."
    victory_become_a_viking: "Become a Viking"
    guide_title: "Guide"
    tome_minion_spells: "Your Minions' Spells"  # Only in old-style levels.
    tome_read_only_spells: "Read-Only Spells"  # Only in old-style levels.
    tome_other_units: "Other Units"  # Only in old-style levels.
    tome_cast_button_run: "Run"
    tome_cast_button_running: "Running"
    tome_cast_button_ran: "Ran"
    tome_submit_button: "Submit"
    tome_reload_method: "Reload original code for this method"  # Title text for individual method reload button.
    tome_select_method: "Select a Method"
    tome_see_all_methods: "See all methods you can edit"  # Title text for method list selector (shown when there are multiple programmable methods).
    tome_select_a_thang: "Select Someone for "
    tome_available_spells: "Available Spells"
    tome_your_skills: "Your Skills"
    tome_help: "Help"
    tome_current_method: "Current Method"
    hud_continue_short: "Continue"
    code_saved: "Code Saved"
    skip_tutorial: "Skip (esc)"
    keyboard_shortcuts: "Key Shortcuts"
    loading_ready: "Ready!"
    loading_start: "Start Level"
    problem_alert_title: "Fix Your Code"
    problem_alert_help: "Help"
    time_current: "Now:"
    time_total: "Max:"
    time_goto: "Go to:"
    non_user_code_problem_title: "Unable to Load Level"
    infinite_loop_title: "Infinite Loop Detected"
    infinite_loop_description: "The initial code to build the world never finished running. It's probably either really slow or has an infinite loop. Or there might be a bug. You can either try running this code again or reset the code to the default state. If that doesn't fix it, please let us know."
    check_dev_console: "You can also open the developer console to see what might be going wrong."
    check_dev_console_link: "(instructions)"
    infinite_loop_try_again: "Try Again"
    infinite_loop_reset_level: "Reset Level"
    infinite_loop_comment_out: "Comment Out My Code"
    tip_toggle_play: "Toggle play/paused with Ctrl+P."
    tip_scrub_shortcut: "Use Ctrl+[ and Ctrl+] to rewind and fast-forward."
    tip_guide_exists: "Click the guide, inside game menu (at the top of the page), for useful info."
    tip_open_source: "CodeCombat is 100% open source!"
    tip_beta_launch: "CodeCombat launched its beta in October, 2013."
    tip_think_solution: "Think of the solution, not the problem."
    tip_theory_practice: "In theory, there is no difference between theory and practice. But in practice, there is. - Yogi Berra"
    tip_error_free: "There are two ways to write error-free programs; only the third one works. - Alan Perlis"
    tip_debugging_program: "If debugging is the process of removing bugs, then programming must be the process of putting them in. - Edsger W. Dijkstra"
    tip_forums: "Head over to the forums and tell us what you think!"
    tip_baby_coders: "In the future, even babies will be Archmages."
    tip_morale_improves: "Loading will continue until morale improves."
    tip_all_species: "We believe in equal opportunities to learn programming for all species."
    tip_reticulating: "Reticulating spines."
    tip_harry: "Yer a Wizard, "
    tip_great_responsibility: "With great coding skill comes great debug responsibility."
    tip_munchkin: "If you don't eat your vegetables, a munchkin will come after you while you're asleep."
    tip_binary: "There are only 10 types of people in the world: those who understand binary, and those who don't."
    tip_commitment_yoda: "A programmer must have the deepest commitment, the most serious mind. ~ Yoda"
    tip_no_try: "Do. Or do not. There is no try. - Yoda"
    tip_patience: "Patience you must have, young Padawan. - Yoda"
    tip_documented_bug: "A documented bug is not a bug; it is a feature."
    tip_impossible: "It always seems impossible until it's done. - Nelson Mandela"
    tip_talk_is_cheap: "Talk is cheap. Show me the code. - Linus Torvalds"
    tip_first_language: "The most disastrous thing that you can ever learn is your first programming language. - Alan Kay"
    tip_hardware_problem: "Q: How many programmers does it take to change a light bulb?  A: None, it's a hardware problem."
    tip_hofstadters_law: "Hofstadter's Law: It always takes longer than you expect, even when you take into account Hofstadter's Law."
    tip_premature_optimization: "Premature optimization is the root of all evil. - Donald Knuth"
    tip_brute_force: "When in doubt, use brute force. - Ken Thompson"
    tip_extrapolation: "There are only two kinds of people: those that can extrapolate from incomplete data..."
    tip_superpower: "Coding is the closest thing we have to a superpower."
    tip_control_destiny: "In real open source, you have the right to control your own destiny. - Linus Torvalds"
    tip_no_code: "No code is faster than no code."
    tip_code_never_lies: "Code never lies, comments sometimes do. — Ron Jeffries"
    tip_reusable_software: "Before software can be reusable it first has to be usable."
    tip_optimization_operator: "Every language has an optimization operator. In most languages that operator is ‘//’"
    tip_lines_of_code: "Measuring programming progress by lines of code is like measuring aircraft building progress by weight. — Bill Gates"
    tip_source_code: "I want to change the world but they would not give me the source code."
    tip_javascript_java: "Java is to JavaScript what Car is to Carpet. - Chris Heilmann"
    tip_move_forward: "Whatever you do, keep moving forward. - Martin Luther King Jr."
    tip_google: "Have a problem you can't solve? Google it!"
    tip_adding_evil: "Adding a pinch of evil."
    tip_hate_computers: "That's the thing about people who think they hate computers. What they really hate is lousy programmers. - Larry Niven"
    tip_open_source_contribute: "You can help CodeCombat improve!"
    tip_recurse: "To iterate is human, to recurse divine. - L. Peter Deutsch"
    tip_free_your_mind: "You have to let it all go, Neo. Fear, doubt, and disbelief. Free your mind. - Morpheus"
    tip_strong_opponents: "Even the strongest of opponents always has a weakness. - Itachi Uchiha"

  game_menu:
    inventory_tab: "Inventory"
    save_load_tab: "Save/Load"
    options_tab: "Options"
    guide_tab: "Guide"
    guide_video_tutorial: "Video Tutorial"
    guide_tips: "Tips"
    multiplayer_tab: "Multiplayer"
    auth_tab: "Sign Up"
    inventory_caption: "Equip your hero"
    choose_hero_caption: "Choose hero, language"
    save_load_caption: "... and view history"
    options_caption: "Configure settings"
    guide_caption: "Docs and tips"
    multiplayer_caption: "Play with friends!"
    auth_caption: "Save your progress."

  leaderboard:
    leaderboard: "Leaderboard"
    view_other_solutions: "View Leaderboards"
    scores: "Scores"
    top_players: "Top Players by"
    day: "Today"
    week: "This Week"
    all: "All-Time"
    time: "Time"
    damage_taken: "Damage Taken"
    damage_dealt: "Damage Dealt"
    difficulty: "Difficulty"
    gold_collected: "Gold Collected"

  inventory:
    choose_inventory: "Equip Items"
    equipped_item: "Equipped"
    required_purchase_title: "Required"
    available_item: "Available"
    restricted_title: "Restricted"
    should_equip: "(double-click to equip)"
    equipped: "(equipped)"
    locked: "(locked)"
    restricted: "(restricted in this level)"
    equip: "Equip"
    unequip: "Unequip"

  buy_gems:
    few_gems: "A few gems"
    pile_gems: "Pile of gems"
    chest_gems: "Chest of gems"
    purchasing: "Purchasing..."
    declined: "Your card was declined"
    retrying: "Server error, retrying."
    prompt_title: "Not Enough Gems"
    prompt_body: "Do you want to get more?"
    prompt_button: "Enter Shop"
    recovered: "Previous gems purchase recovered. Please refresh the page."
    price: "x3500 / mo"

  subscribe:
    comparison_blurb: "Sharpen your skills with a CodeCombat subscription!"
    feature1: "100+ basic levels across 4 worlds"
    feature2: "10 powerful <strong>new heroes</strong> with unique skills!"
    feature3: "70+ bonus levels"
    feature4: "<strong>3500 bonus gems</strong> every month!"
    feature5: "Video tutorials"
    feature6: "Premium email support"
    feature7: "Private <strong>Clans</strong>"
    free: "Free"
    month: "month"
    subscribe_title: "Subscribe"
    unsubscribe: "Unsubscribe"
    confirm_unsubscribe: "Confirm Unsubscribe"
    never_mind: "Never Mind, I Still Love You"
    thank_you_months_prefix: "Thank you for supporting us these last"
    thank_you_months_suffix: "months."
    thank_you: "Thank you for supporting CodeCombat."
    sorry_to_see_you_go: "Sorry to see you go! Please let us know what we could have done better."
    unsubscribe_feedback_placeholder: "O, what have we done?"
    parent_button: "Ask your parent"
    parent_email_description: "We'll email them so they can buy you a CodeCombat subscription."
    parent_email_input_invalid: "Email address invalid."
    parent_email_input_label: "Parent email address"
    parent_email_input_placeholder: "Enter parent email"
    parent_email_send: "Send Email"
    parent_email_sent: "Email sent!"
    parent_email_title: "What's your parent's email?"
    parents: "For Parents"
    parents_title: "Dear Parent: Your child is learning to code. Will you help them continue?"
    parents_blurb1: "Your child has played __nLevels__ levels and learned programming basics. Help cultivate their interest and buy them a subscription so they can keep playing."
    parents_blurb1a: "Computer programming is an essential skill that your child will undoubtedly use as an adult. By 2020, basic software skills will be needed by 77% of jobs, and software engineers are in high demand across the world. Did you know that Computer Science is the highest-paid university degree?"
    parents_blurb2: "For $9.99 USD/mo, your child will get new challenges every week and personal email support from professional programmers."
    parents_blurb3: "No Risk: 100% money back guarantee, easy 1-click unsubscribe."
    payment_methods: "Payment Methods"
    payment_methods_title: "Accepted Payment Methods"
    payment_methods_blurb1: "We currently accept credit cards and Alipay."
    payment_methods_blurb2: "If you require an alternate form of payment, please contact"
    stripe_description: "Monthly Subscription"
    subscription_required_to_play: "You'll need a subscription to play this level."
    unlock_help_videos: "Subscribe to unlock all video tutorials."

    personal_sub: "Personal Subscription"  # Accounts Subscription View below
    loading_info: "Loading subscription information..."
    managed_by: "Managed by"
    will_be_cancelled: "Will be cancelled on"
    currently_free: "You currently have a free subscription"
    currently_free_until: "You currently have a free subscription until"
    was_free_until: "You had a free subscription until"
    managed_subs: "Managed Subscriptions"
    managed_subs_desc: "Add subscriptions for other players (students, children, etc.)"
    managed_subs_desc_2: "Recipients must have a CodeCombat account associated with the email address you provide."
    group_discounts: "Group discounts"
    group_discounts_1: "We also offer group discounts for bulk subscriptions."
    group_discounts_1st: "1st subscription"
    group_discounts_full: "Full price"
    group_discounts_2nd: "Subscriptions 2-11"
    group_discounts_20: "20% off"
    group_discounts_12th: "Subscriptions 12+"
    group_discounts_40: "40% off"
    subscribing: "Subscribing..."
    recipient_emails_placeholder: "Enter email address to subscribe, one per line."
    subscribe_users: "Subscribe Users"
    users_subscribed: "Users subscribed:"
    no_users_subscribed: "No users subscribed, please double check your email addresses."
    current_recipients: "Current Recipients"
    unsubscribing: "Unsubscribing..."
    subscribe_prepaid: "Click Subscribe to use prepaid code"
    using_prepaid: "Using prepaid code for monthly subscription"

  choose_hero:
    choose_hero: "Choose Your Hero"
    programming_language: "Programming Language"
    programming_language_description: "Which programming language do you want to use?"
    default: "Default"
    experimental: "Experimental"
    python_blurb: "Simple yet powerful, great for beginners and experts."
    javascript_blurb: "The language of the web. (Not the same as Java.)"
    coffeescript_blurb: "Nicer JavaScript syntax."
    clojure_blurb: "A modern Lisp."
    lua_blurb: "Game scripting language."
    io_blurb: "Simple but obscure."
    status: "Status"
    hero_type: "Type"
    weapons: "Weapons"
    weapons_warrior: "Swords - Short Range, No Magic"
    weapons_ranger: "Crossbows, Guns - Long Range, No Magic"
    weapons_wizard: "Wands, Staffs - Long Range, Magic"
    attack: "Damage"  # Can also translate as "Attack"
    health: "Health"
    speed: "Speed"
    regeneration: "Regeneration"
    range: "Range"  # As in "attack or visual range"
    blocks: "Blocks"  # As in "this shield blocks this much damage"
    backstab: "Backstab"  # As in "this dagger does this much backstab damage"
    skills: "Skills"
    attack_1: "Deals"
    attack_2: "of listed"
    attack_3: "weapon damage."
    health_1: "Gains"
    health_2: "of listed"
    health_3: "armor health."
    speed_1: "Moves at"
    speed_2: "meters per second."
    available_for_purchase: "Available for Purchase"  # Shows up when you have unlocked, but not purchased, a hero in the hero store
    level_to_unlock: "Level to unlock:"  # Label for which level you have to beat to unlock a particular hero (click a locked hero in the store to see)
    restricted_to_certain_heroes: "Only certain heroes can play this level."

  skill_docs:
    writable: "writable"  # Hover over "attack" in Your Skills while playing a level to see most of this
    read_only: "read-only"
    action_name: "name"
    action_cooldown: "Takes"
    action_specific_cooldown: "Cooldown"
    action_damage: "Damage"
    action_range: "Range"
    action_radius: "Radius"
    action_duration: "Duration"
    example: "Example"
    ex: "ex"  # Abbreviation of "example"
    current_value: "Current Value"
    default_value: "Default value"
    parameters: "Parameters"
    returns: "Returns"
    granted_by: "Granted by"

  save_load:
    granularity_saved_games: "Saved"
    granularity_change_history: "History"

  options:
    general_options: "General Options"  # Check out the Options tab in the Game Menu while playing a level
    volume_label: "Volume"
    music_label: "Music"
    music_description: "Turn background music on/off."
    editor_config: "Editor Config"
    editor_config_title: "Editor Configuration"
    editor_config_level_language_label: "Language for This Level"
    editor_config_level_language_description: "Define the programming language for this particular level."
    editor_config_default_language_label: "Default Programming Language"
    editor_config_default_language_description: "Define the programming language you want to code in when starting new levels."
    editor_config_keybindings_label: "Key Bindings"
    editor_config_keybindings_default: "Default (Ace)"
    editor_config_keybindings_description: "Adds additional shortcuts known from the common editors."
    editor_config_livecompletion_label: "Live Autocompletion"
    editor_config_livecompletion_description: "Displays autocomplete suggestions while typing."
    editor_config_invisibles_label: "Show Invisibles"
    editor_config_invisibles_description: "Displays invisibles such as spaces or tabs."
    editor_config_indentguides_label: "Show Indent Guides"
    editor_config_indentguides_description: "Displays vertical lines to see indentation better."
    editor_config_behaviors_label: "Smart Behaviors"
    editor_config_behaviors_description: "Autocompletes brackets, braces, and quotes."

  about:
    why_codecombat: "Why CodeCombat?"
    why_paragraph_1: "If you want to learn to program, you don't need lessons. You need to write a lot of code and have a great time doing it."
    why_paragraph_2_prefix: "That's what programming is about. It's gotta be fun. Not fun like"
    why_paragraph_2_italic: "yay a badge"
    why_paragraph_2_center: "but fun like"
    why_paragraph_2_italic_caps: "NO MOM I HAVE TO FINISH THE LEVEL!"
    why_paragraph_2_suffix: "That's why CodeCombat is a multiplayer game, not a gamified lesson course. We won't stop until you can't stop--but this time, that's a good thing."
    why_paragraph_3: "If you're going to get addicted to some game, get addicted to this one and become one of the wizards of the tech age."
    press_title: "Bloggers/Press"
    press_paragraph_1_prefix: "Want to write about us? Feel free to download and use all of the resources included in our"
    press_paragraph_1_link: "press packet"
    press_paragraph_1_suffix: ". All logos and images may be used without contacting us directly."
    team: "Team"
    george_title: "Cofounder"
    george_blurb: "Businesser"
    scott_title: "Cofounder"
    scott_blurb: "Reasonable One"
    nick_title: "Cofounder"
    nick_blurb: "Motivation Guru"
    michael_title: "Programmer"
    michael_blurb: "Sys Admin"
    matt_title: "Cofounder"
    matt_blurb: "Bicyclist"
    cat_title: "Chief Artisan"
    cat_blurb: "Airbender"
    josh_title: "Game Designer"
    josh_blurb: "Floor Is Lava"
    jose_title: "Music"
    jose_blurb: "Taking Off"
    retrostyle_title: "Illustration"
    retrostyle_blurb: "RetroStyle Games"

  teachers:
    title: "CodeCombat: Info for Teachers"
    intro_1: "CodeCombat is an online game that teaches programming. Students write code in real programming languages."
    intro_2: "No experience required!"
    free_title: "How much does it cost?"
    cost_china: "CodeCombat in China is free for the first five levels, after which it costs $9.99 USD per month for access to our other 140+ levels on our exclusive China servers."
    free_1: "There are 100+ FREE levels which cover every concept."
    free_2: "A monthly subscription provides access to video tutorials and extra practice levels."
    teacher_subs_title: "Teachers get free subscriptions!"
    teacher_subs_1: "Please fill out our"
    teacher_subs_2: "Teacher Survey"
    teacher_subs_3: "to set up your subscription."
    sub_includes_title: "What is included in the subscription?"
    sub_includes_1: "In addition to the 100+ basic levels, students with a monthly subscription get access to these additional features:"
    sub_includes_2: "70+ practice levels"
    sub_includes_3: "Video tutorials"
    sub_includes_4: "Premium email support"
    sub_includes_5: "10 new heroes with unique skills to master"
    sub_includes_6: "3500 bonus gems every month"
    sub_includes_7: "Private Clans"
    monitor_progress_title: "How do I monitor student progress?"
    monitor_progress_1: "Student progress can be monitored by creating a"
    monitor_progress_2: "for your class."
    monitor_progress_3: "To add a student, send them the invite link for your Clan, which is on the"
    monitor_progress_4: "page."
    monitor_progress_5: "After they join, you will see a summary of the student's progress on your Clan's page."
    private_clans_1: "Private Clans provide increased privacy and detailed progress information for each student."
    private_clans_2: "To create a private Clan, check the 'Make clan private' checkbox when creating a"
    private_clans_3: "."
    who_for_title: "Who is CodeCombat for?"
    who_for_1: "We recommend CodeCombat for students aged 9 and up. No prior programming experience is needed."
    who_for_2: "We've designed CodeCombat to appeal to both boys and girls."
    material_title: "How much material is there?"
    material_china: "Approximately 40 hours of gameplay spread over 170+ subscriber-only levels so far."
    material_1: "Approximately 25 hours of free content and an additional 15 hours of subscriber content."
    concepts_title: "What concepts are covered?"
    how_much_title: "How much does a monthly subscription cost?"
    how_much_1: "A"
    how_much_2: "monthly subscription"
    how_much_3: "costs $9.99, and can be cancelled anytime."
    how_much_4: "Additionally, we provide discounts for larger groups:"
    how_much_5: "We accept discounted one-time purchases and yearly subscription purchases for groups, such as a class or school.  Please contact"
    how_much_6: "for more details."
    more_info_title: "Where can I find more information?"
    more_info_1: "Our"
    more_info_2: "teachers forum"
    more_info_3: "is a good place to connect with fellow educators who are using CodeCombat."
    sys_requirements_title: "System Requirements"
    sys_requirements_1: "A modern web browser. Newer versions of Chrome, Firefox, or Safari. Internet Explorer 9 or later."
    sys_requirements_2: "CodeCombat is not supported on iPad yet."

  teachers_survey:
    title: "Teacher Survey"
    must_be_logged: "You must be logged in first. Please create an account or log in from the menu above."
    retrieving: "Retrieving information..."
    being_reviewed_1: "Your application for a free trial subscription is being"
    being_reviewed_2: "reviewed."
    approved_1: "Your application for a free trial subscription was"
    approved_2: "approved."
    approved_3: "Further instructions have been sent to"
    denied_1: "Your application for a free trial subscription has been"
    denied_2: "denied."
    contact_1: "Please contact"
    contact_2: "if you have further questions."
    description_1: "We offer free subscriptions to teachers for evaluation purposes. You can find more information on our"
    description_2: "teachers"
    description_3: "page."
    description_4: "Please fill out this quick survey and we’ll email you setup instructions."
    email: "Email Address"
    school: "Name of School"
    location: "Name of City"
    age_students: "How old are your students?"
    under: "Under"
    other: "Other:"
    amount_students: "How many students do you teach?"
    hear_about: "How did you hear about CodeCombat?"
    fill_fields: "Please fill out all fields."
    thanks: "Thanks! We'll send you setup instructions shortly."

  versions:
    save_version_title: "Save New Version"
    new_major_version: "New Major Version"
    submitting_patch: "Submitting Patch..."
    cla_prefix: "To save changes, first you must agree to our"
    cla_url: "CLA"
    cla_suffix: "."
    cla_agree: "I AGREE"
    owner_approve: "An owner will need to approve it before your changes will become visible."

  contact:
    contact_us: "Contact CodeCombat"
    welcome: "Good to hear from you! Use this form to send us email. "
    forum_prefix: "For anything public, please try "
    forum_page: "our forum"
    forum_suffix: " instead."
    faq_prefix: "There's also a"
    faq: "FAQ"
    subscribe_prefix: "If you need help figuring out a level, please"
    subscribe: "buy a CodeCombat subscription"
    subscribe_suffix: "and we'll be happy to help you with your code."
    subscriber_support: "Since you're a CodeCombat subscriber, your email will get our priority support."
    screenshot_included: "Screenshot included."
    where_reply: "Where should we reply?"
    send: "Send Feedback"
    contact_candidate: "Contact Candidate"  # Deprecated
    recruitment_reminder: "Use this form to reach out to candidates you are interested in interviewing. Remember that CodeCombat charges 15% of first-year salary. The fee is due upon hiring the employee and is refundable for 90 days if the employee does not remain employed. Part time, remote, and contract employees are free, as are interns."  # Deprecated

  account_settings:
    title: "Account Settings"
    not_logged_in: "Log in or create an account to change your settings."
    autosave: "Changes Save Automatically"
    me_tab: "Me"
    picture_tab: "Picture"
    delete_account_tab: "Delete Your Account"
    wrong_email: "Wrong Email"
    wrong_password: "Wrong Password"
    upload_picture: "Upload a picture"
    delete_this_account: "Delete this account permanently"
    god_mode: "God Mode"
    password_tab: "Password"
    emails_tab: "Emails"
    admin: "Admin"
    new_password: "New Password"
    new_password_verify: "Verify"
    type_in_email: "Type in your email to confirm account deletion."
    type_in_password: "Also, type in your password."
    email_subscriptions: "Email Subscriptions"
    email_subscriptions_none: "No Email Subscriptions."
    email_announcements: "Announcements"
    email_announcements_description: "Get emails on the latest news and developments at CodeCombat."
    email_notifications: "Notifications"
    email_notifications_summary: "Controls for personalized, automatic email notifications related to your CodeCombat activity."
    email_any_notes: "Any Notifications"
    email_any_notes_description: "Disable to stop all activity notification emails."
    email_news: "News"
    email_recruit_notes: "Job Opportunities"
    email_recruit_notes_description: "If you play really well, we may contact you about getting you a (better) job."
    contributor_emails: "Contributor Class Emails"
    contribute_prefix: "We're looking for people to join our party! Check out the "
    contribute_page: "contribute page"
    contribute_suffix: " to find out more."
    email_toggle: "Toggle All"
    error_saving: "Error Saving"
    saved: "Changes Saved"
    password_mismatch: "Password does not match."
    password_repeat: "Please repeat your password."
    job_profile: "Job Profile"  # Rest of this section (the job profile stuff and wizard stuff) is deprecated
    job_profile_approved: "Your job profile has been approved by CodeCombat. Employers will be able to see it until you either mark it inactive or it has not been changed for four weeks."
    job_profile_explanation: "Hi! Fill this out, and we will get in touch about finding you a software developer job."
    sample_profile: "See a sample profile"
    view_profile: "View Your Profile"

  keyboard_shortcuts:
    keyboard_shortcuts: "Keyboard Shortcuts"
    space: "Space"
    enter: "Enter"
    press_enter: "press enter"
    escape: "Escape"
    shift: "Shift"
    run_code: "Run current code."
    run_real_time: "Run in real time."
    continue_script: "Continue past current script."
    skip_scripts: "Skip past all skippable scripts."
    toggle_playback: "Toggle play/pause."
    scrub_playback: "Scrub back and forward through time."
    single_scrub_playback: "Scrub back and forward through time by a single frame."
    scrub_execution: "Scrub through current spell execution."
    toggle_debug: "Toggle debug display."
    toggle_grid: "Toggle grid overlay."
    toggle_pathfinding: "Toggle pathfinding overlay."
    beautify: "Beautify your code by standardizing its formatting."
    maximize_editor: "Maximize/minimize code editor."

  community:
    main_title: "CodeCombat Community"
    introduction: "Check out the ways you can get involved below and decide what sounds the most fun. We look forward to working with you!"
    level_editor_prefix: "Use the CodeCombat"
    level_editor_suffix: "to create and edit levels. Users have created levels for their classes, friends, hackathons, students, and siblings. If create a new level sounds intimidating you can start by forking one of ours!"
    thang_editor_prefix: "We call units within the game 'thangs'. Use the"
    thang_editor_suffix: "to modify the CodeCombat source artwork. Allow units to throw projectiles, alter the direction of an animation, change a unit's hit points, or upload your own vector sprites."
    article_editor_prefix: "See a mistake in some of our docs? Want to make some instructions for your own creations? Check out the"
    article_editor_suffix: "and help CodeCombat players get the most out of their playtime."
    find_us: "Find us on these sites"
    social_blog: "Read the CodeCombat blog on Sett"
    social_discource: "Join the discussion on our Discourse forum"
    social_facebook: "Like CodeCombat on Facebook"
    social_twitter: "Follow CodeCombat on Twitter"
    social_gplus: "Join CodeCombat on Google+"
    social_hipchat: "Chat with us in the public CodeCombat HipChat room"
    contribute_to_the_project: "Contribute to the project"

  clans:
    clan: "Clan"
    clans: "Clans"
    new_name: "New clan name"
    new_description: "New clan description"
    make_private: "Make clan private"
    subs_only: "subscribers only"
    create_clan: "Create New Clan"
    private_preview: "Preview"
    public_clans: "Public Clans"
    my_clans: "My Clans"
    clan_name: "Clan Name"
    name: "Name"
    chieftain: "Chieftain"
    type: "Type"
    edit_clan_name: "Edit Clan Name"
    edit_clan_description: "Edit Clan Description"
    edit_name: "edit name"
    edit_description: "edit description"
    private: "(private)"
    summary: "Summary"
    average_level: "Average Level"
    average_achievements: "Average Achievements"
    delete_clan: "Delete Clan"
    leave_clan: "Leave Clan"
    join_clan: "Join Clan"
    invite_1: "Invite:"
    invite_2: "*Invite players to this Clan by sending them this link."
    members: "Members"
    progress: "Progress"
    not_started_1: "not started"
    started_1: "started"
    complete_1: "complete"
    exp_levels: "Expand levels"
    rem_hero: "Remove Hero"
    status: "Status"
    complete_2: "Complete"
    started_2: "Started"
    not_started_2: "Not Started"
    view_solution: "Click to view solution."
    latest_achievement: "Latest Achievement"
    playtime: "Playtime"
    last_played: "Last played"

  classes:
    archmage_title: "Archmage"
    archmage_title_description: "(Coder)"
    archmage_summary: "If you are a developer interested in coding educational games, become an archmage to help us build CodeCombat!"
    artisan_title: "Artisan"
    artisan_title_description: "(Level Builder)"
    artisan_summary: "Build and share levels for you and your friends to play. Become an Artisan to learn the art of teaching others to program."
    adventurer_title: "Adventurer"
    adventurer_title_description: "(Level Playtester)"
    adventurer_summary: "Get our new levels (even our subscriber content) for free one week early and help us work out bugs before our public release."
    scribe_title: "Scribe"
    scribe_title_description: "(Article Editor)"
    scribe_summary: "Good code needs good documentation. Write, edit, and improve the docs read by millions of players across the globe."
    diplomat_title: "Diplomat"
    diplomat_title_description: "(Translator)"
    diplomat_summary: "CodeCombat is localized in 45+ languages by our Diplomats. Help us out and contribute translations."
    ambassador_title: "Ambassador"
    ambassador_title_description: "(Support)"
    ambassador_summary: "Tame our forum users and provide direction for those with questions. Our ambassadors represent CodeCombat to the world."

  editor:
    main_title: "CodeCombat Editors"
    article_title: "Article Editor"
    thang_title: "Thang Editor"
    level_title: "Level Editor"
    achievement_title: "Achievement Editor"
    poll_title: "Poll Editor"
    back: "Back"
    revert: "Revert"
    revert_models: "Revert Models"
    pick_a_terrain: "Pick A Terrain"
    dungeon: "Dungeon"
    indoor: "Indoor"
    desert: "Desert"
    grassy: "Grassy"
    small: "Small"
    large: "Large"
    fork_title: "Fork New Version"
    fork_creating: "Creating Fork..."
    generate_terrain: "Generate Terrain"
    more: "More"
    wiki: "Wiki"
    live_chat: "Live Chat"
    thang_main: "Main"
    thang_spritesheets: "Spritesheets"
    thang_colors: "Colors"
    level_some_options: "Some Options?"
    level_tab_thangs: "Thangs"
    level_tab_scripts: "Scripts"
    level_tab_settings: "Settings"
    level_tab_components: "Components"
    level_tab_systems: "Systems"
    level_tab_docs: "Documentation"
    level_tab_thangs_title: "Current Thangs"
    level_tab_thangs_all: "All"
    level_tab_thangs_conditions: "Starting Conditions"
    level_tab_thangs_add: "Add Thangs"
    level_tab_thangs_search: "Search thangs"
    add_components: "Add Components"
    component_configs: "Component Configurations"
    config_thang: "Double click to configure a thang"
    delete: "Delete"
    duplicate: "Duplicate"
    stop_duplicate: "Stop Duplicate"
    rotate: "Rotate"
    level_settings_title: "Settings"
    level_component_tab_title: "Current Components"
    level_component_btn_new: "Create New Component"
    level_systems_tab_title: "Current Systems"
    level_systems_btn_new: "Create New System"
    level_systems_btn_add: "Add System"
    level_components_title: "Back to All Thangs"
    level_components_type: "Type"
    level_component_edit_title: "Edit Component"
    level_component_config_schema: "Config Schema"
    level_component_settings: "Settings"
    level_system_edit_title: "Edit System"
    create_system_title: "Create New System"
    new_component_title: "Create New Component"
    new_component_field_system: "System"
    new_article_title: "Create a New Article"
    new_thang_title: "Create a New Thang Type"
    new_level_title: "Create a New Level"
    new_article_title_login: "Log In to Create a New Article"
    new_thang_title_login: "Log In to Create a New Thang Type"
    new_level_title_login: "Log In to Create a New Level"
    new_achievement_title: "Create a New Achievement"
    new_achievement_title_login: "Log In to Create a New Achievement"
    new_poll_title: "Create a New Poll"
    new_poll_title_login: "Log In to Create a New Poll"
    article_search_title: "Search Articles Here"
    thang_search_title: "Search Thang Types Here"
    level_search_title: "Search Levels Here"
    achievement_search_title: "Search Achievements"
    poll_search_title: "Search Polls"
    read_only_warning2: "Note: you can't save any edits here, because you're not logged in."
    no_achievements: "No achievements have been added for this level yet."
    achievement_query_misc: "Key achievement off of miscellanea"
    achievement_query_goals: "Key achievement off of level goals"
    level_completion: "Level Completion"
    pop_i18n: "Populate I18N"
    tasks: "Tasks"
    clear_storage: "Clear your local changes"
    add_system_title: "Add Systems to Level"
    done_adding: "Done Adding"

  article:
    edit_btn_preview: "Preview"
    edit_article_title: "Edit Article"

  polls:
    priority: "Priority"

  contribute:
    page_title: "Contributing"
    intro_blurb: "CodeCombat is 100% open source! Hundreds of dedicated players have helped us build the game into what it is today. Join us and write the next chapter in CodeCombat's quest to teach the world to code!"
    alert_account_message_intro: "Hey there!"
    alert_account_message: "To subscribe for class emails, you'll need to be logged in first."
    archmage_introduction: "One of the best parts about building games is they synthesize so many different things. Graphics, sound, real-time networking, social networking, and of course many of the more common aspects of programming, from low-level database management, and server administration to user facing design and interface building. There's a lot to do, and if you're an experienced programmer with a hankering to really dive into the nitty-gritty of CodeCombat, this class might be for you. We would love to have your help building the best programming game ever."
    class_attributes: "Class Attributes"
    archmage_attribute_1_pref: "Knowledge in "
    archmage_attribute_1_suf: ", or a desire to learn. Most of our code is in this language. If you're a fan of Ruby or Python, you'll feel right at home. It's JavaScript, but with a nicer syntax."
    archmage_attribute_2: "Some experience in programming and personal initiative. We'll help you get oriented, but we can't spend much time training you."
    how_to_join: "How To Join"
    join_desc_1: "Anyone can help out! Just check out our "
    join_desc_2: "to get started, and check the box below to mark yourself as a brave Archmage and get the latest news by email. Want to chat about what to do or how to get more deeply involved? "
    join_desc_3: ", or find us in our "
    join_desc_4: "and we'll go from there!"
    join_url_email: "Email us"
    join_url_hipchat: "public HipChat room"
    archmage_subscribe_desc: "Get emails on new coding opportunities and announcements."
    artisan_introduction_pref: "We must construct additional levels! People be clamoring for more content, and we can only build so many ourselves. Right now your workstation is level one; our level editor is barely usable even by its creators, so be wary. If you have visions of campaigns spanning for-loops to"
    artisan_introduction_suf: ", then this class might be for you."
    artisan_attribute_1: "Any experience in building content like this would be nice, such as using Blizzard's level editors. But not required!"
    artisan_attribute_2: "A hankering to do a whole lot of testing and iteration. To make good levels, you need to take it to others and watch them play it, and be prepared to find a lot of things to fix."
    artisan_attribute_3: "For the time being, endurance en par with an Adventurer. Our Level Editor is super preliminary and frustrating to use. You have been warned!"
    artisan_join_desc: "Use the Level Editor in these steps, give or take:"
    artisan_join_step1: "Read the documentation."
    artisan_join_step2: "Create a new level and explore existing levels."
    artisan_join_step3: "Find us in our public HipChat room for help."
    artisan_join_step4: "Post your levels on the forum for feedback."
    artisan_subscribe_desc: "Get emails on level editor updates and announcements."
    adventurer_introduction: "Let's be clear about your role: you are the tank. You're going to take heavy damage. We need people to try out brand-new levels and help identify how to make things better. The pain will be enormous; making good games is a long process and no one gets it right the first time. If you can endure and have a high constitution score, then this class might be for you."
    adventurer_attribute_1: "A thirst for learning. You want to learn how to code and we want to teach you how to code. You'll probably be doing most of the teaching in this case, though."
    adventurer_attribute_2: "Charismatic. Be gentle but articulate about what needs improving, and offer suggestions on how to improve."
    adventurer_join_pref: "Either get together with (or recruit!) an Artisan and work with them, or check the box below to receive emails when there are new levels to test. We'll also be posting about levels to review on our networks like"
    adventurer_forum_url: "our forum"
    adventurer_join_suf: "so if you prefer to be notified those ways, sign up there!"
    adventurer_subscribe_desc: "Get emails when there are new levels to test."
    scribe_introduction_pref: "CodeCombat isn't just going to be a bunch of levels. It will also include a resource for knowledge, a wiki of programming concepts that levels can hook into. That way rather than each Artisan having to describe in detail what a comparison operator is, they can simply link their level to the Article describing them that is already written for the player's edification. Something along the lines of what the "
    scribe_introduction_url_mozilla: "Mozilla Developer Network"
    scribe_introduction_suf: " has built. If your idea of fun is articulating the concepts of programming in Markdown form, then this class might be for you."
    scribe_attribute_1: "Skill in words is pretty much all you need. Not only grammar and spelling, but able to convey complicated ideas to others."
    contact_us_url: "Contact us"
    scribe_join_description: "tell us a little about yourself, your experience with programming and what sort of things you'd like to write about. We'll go from there!"
    scribe_subscribe_desc: "Get emails about article writing announcements."
    diplomat_introduction_pref: "So, if there's one thing we learned from the "
    diplomat_launch_url: "launch in October"
    diplomat_introduction_suf: "it's that there is sizeable interest in CodeCombat in other countries! We're building a corps of translators eager to turn one set of words into another set of words to get CodeCombat as accessible across the world as possible. If you like getting sneak peeks at upcoming content and getting these levels to your fellow nationals ASAP, then this class might be for you."
    diplomat_attribute_1: "Fluency in English and the language you would like to translate to. When conveying complicated ideas, it's important to have a strong grasp in both!"
    diplomat_i18n_page_prefix: "You can start translating our levels by going to our"
    diplomat_i18n_page: "translations page"
    diplomat_i18n_page_suffix: ", or our interface and website on GitHub."
    diplomat_join_pref_github: "Find your language locale file "
    diplomat_github_url: "on GitHub"
    diplomat_join_suf_github: ", edit it online, and submit a pull request. Also, check this box below to keep up-to-date on new internationalization developments!"
    diplomat_subscribe_desc: "Get emails about i18n developments and levels to translate."
    ambassador_introduction: "This is a community we're building, and you are the connections. We've got forums, emails, and social networks with lots of people to talk with and help get acquainted with the game and learn from. If you want to help people get involved and have fun, and get a good feel of the pulse of CodeCombat and where we're going, then this class might be for you."
    ambassador_attribute_1: "Communication skills. Be able to identify the problems players are having and help them solve them. Also, keep the rest of us informed about what players are saying, what they like and don't like and want more of!"
    ambassador_join_desc: "tell us a little about yourself, what you've done and what you'd be interested in doing. We'll go from there!"
    ambassador_join_note_strong: "Note"
    ambassador_join_note_desc: "One of our top priorities is to build multiplayer where players having difficulty solving levels can summon higher level wizards to help them. This will be a great way for ambassadors to do their thing. We'll keep you posted!"
    ambassador_subscribe_desc: "Get emails on support updates and multiplayer developments."
    changes_auto_save: "Changes are saved automatically when you toggle checkboxes."
    diligent_scribes: "Our Diligent Scribes:"
    powerful_archmages: "Our Powerful Archmages:"
    creative_artisans: "Our Creative Artisans:"
    brave_adventurers: "Our Brave Adventurers:"
    translating_diplomats: "Our Translating Diplomats:"
    helpful_ambassadors: "Our Helpful Ambassadors:"

  ladder:
    please_login: "Please log in first before playing a ladder game."
    my_matches: "My Matches"
    simulate: "Simulate"
    simulation_explanation: "By simulating games you can get your game ranked faster!"
    simulate_games: "Simulate Games!"
    simulate_all: "RESET AND SIMULATE GAMES"
    games_simulated_by: "Games simulated by you:"
    games_simulated_for: "Games simulated for you:"
    games_simulated: "Games simulated"
    games_played: "Games played"
    ratio: "Ratio"
    leaderboard: "Leaderboard"
    battle_as: "Battle as "
    summary_your: "Your "
    summary_matches: "Matches - "
    summary_wins: " Wins, "
    summary_losses: " Losses"
    rank_no_code: "No New Code to Rank"
    rank_my_game: "Rank My Game!"
    rank_submitting: "Submitting..."
    rank_submitted: "Submitted for Ranking"
    rank_failed: "Failed to Rank"
    rank_being_ranked: "Game Being Ranked"
    rank_last_submitted: "submitted "
    help_simulate: "Help simulate games?"
    code_being_simulated: "Your new code is being simulated by other players for ranking. This will refresh as new matches come in."
    no_ranked_matches_pre: "No ranked matches for the "
    no_ranked_matches_post: " team! Play against some competitors and then come back here to get your game ranked."
    choose_opponent: "Choose an Opponent"
    select_your_language: "Select your language!"
    tutorial_play: "Play Tutorial"
    tutorial_recommended: "Recommended if you've never played before"
    tutorial_skip: "Skip Tutorial"
    tutorial_not_sure: "Not sure what's going on?"
    tutorial_play_first: "Play the Tutorial first."
    simple_ai: "Simple AI"
    warmup: "Warmup"
    friends_playing: "Friends Playing"
    log_in_for_friends: "Log in to play with your friends!"
    social_connect_blurb: "Connect and play against your friends!"
    invite_friends_to_battle: "Invite your friends to join you in battle!"
    fight: "Fight!"
    watch_victory: "Watch your victory"
    defeat_the: "Defeat the"
    tournament_started: ", started"
    tournament_ends: "Tournament ends"
    tournament_ended: "Tournament ended"
    tournament_rules: "Tournament Rules"
    tournament_blurb: "Write code, collect gold, build armies, crush foes, win prizes, and upgrade your career in our $40,000 Greed tournament! Check out the details"
    tournament_blurb_criss_cross: "Win bids, construct paths, outwit opponents, grab gems, and upgrade your career in our Criss-Cross tournament! Check out the details"
    tournament_blurb_zero_sum: "Unleash your coding creativity in both gold gathering and battle tactics in this alpine mirror match between red sorcerer and blue sorcerer. The tournament began on Friday, March 27 and will run until Monday, April 6 at 5PM PDT. Compete for fun and glory! Check out the details"
    tournament_blurb_blog: "on our blog"
    rules: "Rules"
    winners: "Winners"

  user:
    stats: "Stats"
    singleplayer_title: "Singleplayer Levels"
    multiplayer_title: "Multiplayer Levels"
    achievements_title: "Achievements"
    last_played: "Last Played"
    status: "Status"
    status_completed: "Completed"
    status_unfinished: "Unfinished"
    no_singleplayer: "No Singleplayer games played yet."
    no_multiplayer: "No Multiplayer games played yet."
    no_achievements: "No Achievements earned yet."
    favorite_prefix: "Favorite language is "
    favorite_postfix: "."
    not_member_of_clans: "Not a member of any clans yet."

  achievements:
    last_earned: "Last Earned"
    amount_achieved: "Amount"
    achievement: "Achievement"
    category_contributor: "Contributor"
    category_ladder: "Ladder"
    category_level: "Level"
    category_miscellaneous: "Miscellaneous"
    category_levels: "Levels"
    category_undefined: "Uncategorized"
    current_xp_prefix: ""
    current_xp_postfix: " in total"
    new_xp_prefix: ""
    new_xp_postfix: " earned"
    left_xp_prefix: ""
    left_xp_infix: " until level "
    left_xp_postfix: ""

  account:
    recently_played: "Recently Played"
    no_recent_games: "No games played during the past two weeks."
    payments: "Payments"
    purchased: "Purchased"
    subscription: "Subscription"
    invoices: "Invoices"
    service_apple: "Apple"
    service_web: "Web"
    paid_on: "Paid On"
    service: "Service"
    price: "Price"
    gems: "Gems"
    active: "Active"
    subscribed: "Subscribed"
    unsubscribed: "Unsubscribed"
    active_until: "Active Until"
    cost: "Cost"
    next_payment: "Next Payment"
    card: "Card"
    status_unsubscribed_active: "You're not subscribed and won't be billed, but your account is still active for now."
    status_unsubscribed: "Get access to new levels, heroes, items, and bonus gems with a CodeCombat subscription!"

  account_invoices:
    amount: "Amount in US dollars"
    declined: "Your card was declined"
    invalid_amount: "Please enter a US dollar amount."
    not_logged_in: "Log in or create an account to access invoices."
    pay: "Pay Invoice"
    purchasing: "Purchasing..."
    retrying: "Server error, retrying."
    success: "Successfully paid. Thanks!"

  loading_error:
    could_not_load: "Error loading from server"
    connection_failure: "Connection failed."
    unauthorized: "You need to be signed in. Do you have cookies disabled?"
    forbidden: "You do not have the permissions."
    not_found: "Not found."
    not_allowed: "Method not allowed."
    timeout: "Server timeout."
    conflict: "Resource conflict."
    bad_input: "Bad input."
    server_error: "Server error."
    unknown: "Unknown error."

  resources:
    sessions: "Sessions"
    your_sessions: "Your Sessions"
    level: "Level"
    social_network_apis: "Social Network APIs"
    facebook_status: "Facebook Status"
    facebook_friends: "Facebook Friends"
    facebook_friend_sessions: "Facebook Friend Sessions"
    gplus_friends: "G+ Friends"
    gplus_friend_sessions: "G+ Friend Sessions"
    leaderboard: "Leaderboard"
    user_schema: "User Schema"
    user_profile: "User Profile"
    patch: "Patch"
    patches: "Patches"
    patched_model: "Source Document"
    model: "Model"
    system: "System"
    systems: "Systems"
    component: "Component"
    components: "Components"
    thang: "Thang"
    thangs: "Thangs"
    level_session: "Your Session"
    opponent_session: "Opponent Session"
    article: "Article"
    user_names: "User Names"
    thang_names: "Thang Names"
    files: "Files"
    top_simulators: "Top Simulators"
    source_document: "Source Document"
    document: "Document"
    sprite_sheet: "Sprite Sheet"
    employers: "Employers"
    candidates: "Candidates"
    candidate_sessions: "Candidate Sessions"
    user_remark: "User Remark"
    user_remarks: "User Remarks"
    versions: "Versions"
    items: "Items"
    hero: "Hero"
    heroes: "Heroes"
    achievement: "Achievement"
    clas: "CLAs"
    play_counts: "Play Counts"
    feedback: "Feedback"
    payment_info: "Payment Info"
    campaigns: "Campaigns"
    poll: "Poll"
    user_polls_record: "Poll Voting History"

  concepts:
    advanced_strings: "Advanced Strings"
    algorithms: "Algorithms"
    arguments: "Arguments"
    arithmetic: "Arithmetic"
    arrays: "Arrays"
    basic_syntax: "Basic Syntax"
    boolean_logic: "Boolean Logic"
    break_statements: "Break Statements"
    classes: "Classes"
    for_loops: "For Loops"
    functions: "Functions"
    if_statements: "If Statements"
    input_handling: "Input Handling"
    math_operations: "Math Operations"
    object_literals: "Object Literals"
    strings: "Strings"
    variables: "Variables"
    vectors: "Vectors"
    while_loops: "Loops"
    recursion: "Recursion"

  delta:
    added: "Added"
    modified: "Modified"
    not_modified: "Not Modified"
    deleted: "Deleted"
    moved_index: "Moved Index"
    text_diff: "Text Diff"
    merge_conflict_with: "MERGE CONFLICT WITH"
    no_changes: "No Changes"

  guide:
    temp: "Temp"

  multiplayer:
    multiplayer_title: "Multiplayer Settings"  # We'll be changing this around significantly soon. Until then, it's not important to translate.
    multiplayer_toggle: "Enable multiplayer"
    multiplayer_toggle_description: "Allow others to join your game."
    multiplayer_link_description: "Give this link to anyone to have them join you."
    multiplayer_hint_label: "Hint:"
    multiplayer_hint: " Click the link to select all, then press ⌘-C or Ctrl-C to copy the link."
    multiplayer_coming_soon: "More multiplayer features to come!"
    multiplayer_sign_in_leaderboard: "Sign in or create an account and get your solution on the leaderboard."

  legal:
    page_title: "Legal"
    opensource_intro: "CodeCombat is completely open source."
    opensource_description_prefix: "Check out "
    github_url: "our GitHub"
    opensource_description_center: "and help out if you like! CodeCombat is built on dozens of open source projects, and we love them. See "
    archmage_wiki_url: "our Archmage wiki"
    opensource_description_suffix: "for a list of the software that makes this game possible."
    practices_title: "Respectful Best Practices"
    practices_description: "These are our promises to you, the player, in slightly less legalese."
    privacy_title: "Privacy"
    privacy_description: "We will not sell any of your personal information."
    security_title: "Security"
    security_description: "We strive to keep your personal information safe. As an open source project, our site is freely open to anyone to review and improve our security systems."
    email_title: "Email"
    email_description_prefix: "We will not inundate you with spam. Through"
    email_settings_url: "your email settings"
    email_description_suffix: "or through links in the emails we send, you can change your preferences and easily unsubscribe at any time."
    cost_title: "Cost"
    cost_description: "CodeCombat is free to play for all of its core levels, with a $9.99 USD/mo subscription for access to extra level branches and 3500 bonus gems per month. You can cancel with a click, and we offer a 100% money-back guarantee."
    copyrights_title: "Copyrights and Licenses"
    contributor_title: "Contributor License Agreement"
    contributor_description_prefix: "All contributions, both on the site and on our GitHub repository, are subject to our"
    cla_url: "CLA"
    contributor_description_suffix: "to which you should agree before contributing."
    code_title: "Code - MIT"
    code_description_prefix: "All code owned by CodeCombat or hosted on codecombat.com, both in the GitHub repository or in the codecombat.com database, is licensed under the"
    mit_license_url: "MIT license"
    code_description_suffix: "This includes all code in Systems and Components that are made available by CodeCombat for the purpose of creating levels."
    art_title: "Art/Music - Creative Commons "
    art_description_prefix: "All common content is available under the"
    cc_license_url: "Creative Commons Attribution 4.0 International License"
    art_description_suffix: "Common content is anything made generally available by CodeCombat for the purpose of creating Levels. This includes:"
    art_music: "Music"
    art_sound: "Sound"
    art_artwork: "Artwork"
    art_sprites: "Sprites"
    art_other: "Any and all other non-code creative works that are made available when creating Levels."
    art_access: "Currently there is no universal, easy system for fetching these assets. In general, fetch them from the URLs as used by the site, contact us for assistance, or help us in extending the site to make these assets more easily accessible."
    art_paragraph_1: "For attribution, please name and link to codecombat.com near where the source is used or where appropriate for the medium. For example:"
    use_list_1: "If used in a movie or another game, include codecombat.com in the credits."
    use_list_2: "If used on a website, include a link near the usage, for example underneath an image, or in a general attributions page where you might also mention other Creative Commons works and open source software being used on the site. Something that's already clearly referencing CodeCombat, such as a blog post mentioning CodeCombat, does not need some separate attribution."
    art_paragraph_2: "If the content being used is created not by CodeCombat but instead by a user of codecombat.com, attribute them instead, and follow attribution directions provided in that resource's description if there are any."
    rights_title: "Rights Reserved"
    rights_desc: "All rights are reserved for Levels themselves. This includes"
    rights_scripts: "Scripts"
    rights_unit: "Unit configuration"
    rights_description: "Description"
    rights_writings: "Writings"
    rights_media: "Media (sounds, music) and any other creative content made specifically for that Level and not made generally available when creating Levels."
    rights_clarification: "To clarify, anything that is made available in the Level Editor for the purpose of making levels is under CC, whereas the content created with the Level Editor or uploaded in the course of creation of Levels is not."
    nutshell_title: "In a Nutshell"
    nutshell_description: "Any resources we provide in the Level Editor are free to use as you like for creating Levels. But we reserve the right to restrict distribution of the Levels themselves (that are created on codecombat.com) so that they may be charged for in the future, if that's what ends up happening."
    canonical: "The English version of this document is the definitive, canonical version. If there are any discrepancies between translations, the English document takes precedence."

  ladder_prizes:
    title: "Tournament Prizes"  # This section was for an old tournament and doesn't need new translations now.
    blurb_1: "These prizes will be awarded according to"
    blurb_2: "the tournament rules"
    blurb_3: "to the top human and ogre players."
    blurb_4: "Two teams means double the prizes!"
    blurb_5: "(There will be two first place winners, two second-place winners, etc.)"
    rank: "Rank"
    prizes: "Prizes"
    total_value: "Total Value"
    in_cash: "in cash"
    custom_wizard: "Custom CodeCombat Wizard"
    custom_avatar: "Custom CodeCombat avatar"
    heap: "for six months of \"Startup\" access"
    credits: "credits"
    one_month_coupon: "coupon: choose either Rails or HTML"
    one_month_discount: "discount, 30% off: choose either Rails or HTML"
    license: "license"
    oreilly: "ebook of your choice"

  account_profile:
    settings: "Settings"  # We are not actively recruiting right now, so there's no need to add new translations for this section.
    edit_profile: "Edit Profile"
    done_editing: "Done Editing"
    profile_for_prefix: "Profile for "
    profile_for_suffix: ""
    featured: "Featured"
    not_featured: "Not Featured"
    looking_for: "Looking for:"
    last_updated: "Last updated:"
    contact: "Contact"
    active: "Looking for interview offers now"
    inactive: "Not looking for offers right now"
    complete: "complete"
    next: "Next"
    next_city: "city?"
    next_country: "pick your country."
    next_name: "name?"
    next_short_description: "write a short description."
    next_long_description: "describe your desired position."
    next_skills: "list at least five skills."
    next_work: "chronicle your work history."
    next_education: "recount your educational ordeals."
    next_projects: "show off up to three projects you've worked on."
    next_links: "add any personal or social links."
    next_photo: "add an optional professional photo."
    next_active: "mark yourself open to offers to show up in searches."
    example_blog: "Blog"
    example_personal_site: "Personal Site"
    links_header: "Personal Links"
    links_blurb: "Link any other sites or profiles you want to highlight, like your GitHub, your LinkedIn, or your blog."
    links_name: "Link Name"
    links_name_help: "What are you linking to?"
    links_link_blurb: "Link URL"
    basics_header: "Update basic info"
    basics_active: "Open to Offers"
    basics_active_help: "Want interview offers right now?"
    basics_job_title: "Desired Job Title"
    basics_job_title_help: "What role are you looking for?"
    basics_city: "City"
    basics_city_help: "City you want to work in (or live in now)."
    basics_country: "Country"
    basics_country_help: "Country you want to work in (or live in now)."
    basics_visa: "US Work Status"
    basics_visa_help: "Are you authorized to work in the US, or do you need visa sponsorship? (If you live in Canada or Australia, mark authorized.)"
    basics_looking_for: "Looking For"
    basics_looking_for_full_time: "Full-time"
    basics_looking_for_part_time: "Part-time"
    basics_looking_for_remote: "Remote"
    basics_looking_for_contracting: "Contracting"
    basics_looking_for_internship: "Internship"
    basics_looking_for_help: "What kind of developer position do you want?"
    name_header: "Fill in your name"
    name_anonymous: "Anonymous Developer"
    name_help: "Name you want employers to see, like 'Nick Winter'."
    short_description_header: "Write a short description of yourself"
    short_description_blurb: "Add a tagline to help an employer quickly learn more about you."
    short_description: "Tagline"
    short_description_help: "Who are you, and what are you looking for? 140 characters max."
    skills_header: "Skills"
    skills_help: "Tag relevant developer skills in order of proficiency."
    long_description_header: "Describe your desired position"
    long_description_blurb: "Tell employers how awesome you are and what role you want."
    long_description: "Self Description"
    long_description_help: "Describe yourself to potential employers. Keep it short and to the point. We recommend outlining the position that would most interest you. Tasteful markdown okay; 600 characters max."
    work_experience: "Work Experience"
    work_header: "Chronicle your work history"
    work_years: "Years of Experience"
    work_years_help: "How many years of professional experience (getting paid) developing software do you have?"
    work_blurb: "List your relevant work experience, most recent first."
    work_employer: "Employer"
    work_employer_help: "Name of your employer."
    work_role: "Job Title"
    work_role_help: "What was your job title or role?"
    work_duration: "Duration"
    work_duration_help: "When did you hold this gig?"
    work_description: "Description"
    work_description_help: "What did you do there? (140 chars; optional)"
    education: "Education"
    education_header: "Recount your academic ordeals"
    education_blurb: "List your academic ordeals."
    education_school: "School"
    education_school_help: "Name of your school."
    education_degree: "Degree"
    education_degree_help: "What was your degree and field of study?"
    education_duration: "Dates"
    education_duration_help: "When?"
    education_description: "Description"
    education_description_help: "Highlight anything about this educational experience. (140 chars; optional)"
    our_notes: "CodeCombat's Notes"
    remarks: "Remarks"
    projects: "Projects"
    projects_header: "Add 3 projects"
    projects_header_2: "Projects (Top 3)"
    projects_blurb: "Highlight your projects to amaze employers."
    project_name: "Project Name"
    project_name_help: "What was the project called?"
    project_description: "Description"
    project_description_help: "Briefly describe the project."
    project_picture: "Picture"
    project_picture_help: "Upload a 230x115px or larger image showing off the project."
    project_link: "Link"
    project_link_help: "Link to the project."
    player_code: "Player Code"

  employers:
    deprecation_warning_title: "Sorry, CodeCombat is not recruiting right now."
    deprecation_warning: "We are focusing on beginner levels instead of finding expert developers for the time being."
    hire_developers_not_credentials: "Hire developers, not credentials."  # We are not actively recruiting right now, so there's no need to add new translations for the rest of this section.
    get_started: "Get Started"
    already_screened: "We've already technically screened all our candidates"
    filter_further: ", but you can also filter further:"
    filter_visa: "Visa"
    filter_visa_yes: "US Authorized"
    filter_visa_no: "Not Authorized"
    filter_education_top: "Top School"
    filter_education_other: "Other"
    filter_role_web_developer: "Web Developer"
    filter_role_software_developer: "Software Developer"
    filter_role_mobile_developer: "Mobile Developer"
    filter_experience: "Experience"
    filter_experience_senior: "Senior"
    filter_experience_junior: "Junior"
    filter_experience_recent_grad: "Recent Grad"
    filter_experience_student: "College Student"
    filter_results: "results"
    start_hiring: "Start hiring."
    reasons: "Three reasons you should hire through us:"
    everyone_looking: "Everyone here is looking for their next opportunity."
    everyone_looking_blurb: "Forget about 20% LinkedIn InMail response rates. Everyone that we list on this site wants to find their next position and will respond to your request for an introduction."
    weeding: "Sit back; we've done the weeding for you."
    weeding_blurb: "Every player that we list has been screened for technical ability. We also perform phone screens for select candidates and make notes on their profiles to save you time."
    pass_screen: "They will pass your technical screen."
    pass_screen_blurb: "Review each candidate's code before reaching out. One employer found that 5x as many of our devs passed their technical screen than hiring from Hacker News."
    make_hiring_easier: "Make my hiring easier, please."
    what: "What is CodeCombat?"
    what_blurb: "CodeCombat is a multiplayer browser programming game. Players write code to control their forces in battle against other developers. Our players have experience with all major tech stacks."
    cost: "How much do we charge?"
    cost_blurb: "We charge 15% of first year's salary and offer a 100% money back guarantee for 90 days. We don't charge for candidates who are already actively being interviewed at your company."
    candidate_name: "Name"
    candidate_location: "Location"
    candidate_looking_for: "Looking For"
    candidate_role: "Role"
    candidate_top_skills: "Top Skills"
    candidate_years_experience: "Yrs Exp"
    candidate_last_updated: "Last Updated"
    candidate_who: "Who"
    featured_developers: "Featured Developers"
    other_developers: "Other Developers"
    inactive_developers: "Inactive Developers"

  admin:
    av_espionage: "Espionage"  # Really not important to translate /admin controls.
    av_espionage_placeholder: "Email or username"
    av_usersearch: "User Search"
    av_usersearch_placeholder: "Email, username, name, whatever"
    av_usersearch_search: "Search"
    av_title: "Admin Views"
    av_entities_sub_title: "Entities"
    av_entities_users_url: "Users"
    av_entities_active_instances_url: "Active Instances"
    av_entities_employer_list_url: "Employer List"
    av_entities_candidates_list_url: "Candidate List"
    av_entities_user_code_problems_list_url: "User Code Problems List"
    av_other_sub_title: "Other"
    av_other_debug_base_url: "Base (for debugging base.jade)"
    u_title: "User List"
    ucp_title: "User Code Problems"
    lg_title: "Latest Games"
    clas: "CLAs"
